# eric3.KdeQt.KQFontDialog

Compatibility module to use the KDE Font Dialog instead of the Qt Font Dialog.

### Classes

None

### Functions

getFont | Public function to pop up a modal dialog to select a font.

## getFont

getFont(initial, parent = None, name = None)

Public function to pop up a modal dialog to select a font.

initial
  initial font to select (QFont)
parent
  parent widget of the dialog (QWidget)
name
  name of the dialog (ignored)

Returns:
  the selected font or the initial font, if the canceled the dialog (QColor) and a flag indicating the user selection of the OK button (boolean)

Up